Package ch.qos.logback.core.pattern.color

# Class ForegroundCompositeConverterBase<E>

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>
ch.qos.logback.core.pattern.DynamicConverter<E>
ch.qos.logback.core.pattern.CompositeConverter<E>
ch.qos.logback.core.pattern.color.ForegroundCompositeConverterBase<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `BlackCompositeConverter`, `BlueCompositeConverter`, `BoldBlueCompositeConverter`, `BoldCyanCompositeConverter`, `BoldGreenCompositeConverter`, `BoldMagentaCompositeConverter`, `BoldRedCompositeConverter`, `BoldWhiteCompositeConverter`, `BoldYellowCompositeConverter`, `CyanCompositeConverter`, `GrayCompositeConverter`, `GreenCompositeConverter`, `HighlightingCompositeConverter`, `MagentaCompositeConverter`, `RedCompositeConverter`, `WhiteCompositeConverter`, `YellowCompositeConverter`

public abstract class ForegroundCompositeConverterBase<E> extends CompositeConverter<E>
Base class for all foreground color setting composite converters.

Since:
  1.0.5

## Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

## Constructor Summary

Constructors
Constructor
Description
`ForegroundCompositeConverterBase()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract String`
`getForegroundColorCode(E event)`
Derived classes return the foreground color specific to the derived class instance.
`protected String`
`transform(E event, String in)`

### Methods inherited from class ch.qos.logback.core.pattern.CompositeConverter

`convert, getChildConverter, setChildConverter, toString`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ForegroundCompositeConverterBase

public ForegroundCompositeConverterBase()

## Method Details

### transform

protected String transform(E event, String in)

Specified by:
  `transform` in class `CompositeConverter<E>`

### getForegroundColorCode

protected abstract String getForegroundColorCode(E event)
Derived classes return the foreground color specific to the derived class instance.

Returns:
  the foreground color for this instance